diff --git a/framework/inc/recipients.h b/framework/inc/recipients.h
new file mode 100644
index 0000000..4358237
--- /dev/null
+++ b/framework/inc/recipients.h
@@ -0,0 +1,39 @@
+/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
+/*
+ * This file is part of the LibreOffice project.
+ *
+ * This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at http://mozilla.org/MPL/2.0/.
+ *
+ * This file incorporates work covered by the following license notice:
+ *
+ *   Licensed to the Apache Software Foundation (ASF) under one or more
+ *   contributor license agreements. See the NOTICE file distributed
+ *   with this work for additional information regarding copyright
+ *   ownership. The ASF licenses this file to you under the Apache
+ *   License, Version 2.0 (the "License"); you may not use this file
+ *   except in compliance with the License. You may obtain a copy of
+ *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
+ */
+
+#ifndef INCLUDED_FRAMEWORK_INC_RECIPIENTS_H
+#define INCLUDED_FRAMEWORK_INC_RECIPIENTS_H
+
+namespace framework {
+
+//  Values for special frame search ... sName of findFrame() or queryDispatch() or loadComponentFromURL()
+
+#define SPECIAL_SELF            "_self"                             // The frame himself is searched
+#define SPECIAL_PARENT          "_parent"                           // The direct parent frame is searched
+#define SPECIAL_TOP             "_top"                              // Search at parents for the first task (if any exist) or frame without a parent
+#define SPECIAL_BLANK           "_blank"                            // Create a new one
+#define SPECIAL_DEFAULT         "_default"                          // Create a new one or recycle an existing one
+#define SPECIAL_BEAMER          "_beamer"                           // special frame in hierarchy
+#define SPECIAL_HELPTASK        "OFFICE_HELP_TASK"                  // special name for help task
+
+}       //  namespace framework
+
+#endif // INCLUDED_FRAMEWORK_INC_RECIPIENTS_H
+
+/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
diff --git a/framework/inc/services/desktop.hxx b/framework/inc/services/desktop.hxx
index 8e90ba6..d9dafb5 100644
--- a/framework/inc/services/desktop.hxx
+++ b/framework/inc/services/desktop.hxx
@@ -66,7 +66,7 @@ enum ELoadState
     E_INTERACTION
 };
 
-/*-************************************************************************************************************
+/*
     @short      implement the topframe of frame tree
     @descr      This is the root of the frame tree. The desktop has no window, is not visible but he is the logical
                 "masternode" to build the hierarchy.
@@ -90,7 +90,7 @@ enum ELoadState
 
     @devstatus  ready to use
     @threadsafe yes
-*//*-*************************************************************************************************************/
+*/
 typedef cppu::WeakComponentImplHelper<
            css::lang::XServiceInfo              ,
            css::frame::XDesktop2                ,
@@ -219,8 +219,8 @@ class Desktop : private cppu::BaseMutex,
 
         //  XComponentLoader
         virtual css::uno::Reference< css::lang::XComponent >                        SAL_CALL loadComponentFromURL       ( const OUString&                                         sURL             ,
-                                                                                                                          const OUString&                                         sTargetFrameName ,
-                                                                                                                                sal_Int32                                                nSearchFlags     ,
+                                                                                                                          const OUString&                                         sRecipientFrameName ,
+                                                                                                                                sal_Int32                                                nSearchOptions     ,
                                                                                                                           const css::uno::Sequence< css::beans::PropertyValue >&         lArguments       ) throw( css::io::IOException                ,
                                                                                                                                                                                                                    css::lang::IllegalArgumentException ,
                                                                                                                                                                                                                    css::uno::RuntimeException, std::exception          ) override;
@@ -231,8 +231,8 @@ class Desktop : private cppu::BaseMutex,
 
         //  XDispatchProvider
         virtual css::uno::Reference< css::frame::XDispatch >                        SAL_CALL queryDispatch              ( const css::util::URL&                                          aURL             ,
-                                                                                                                          const OUString&                                         sTargetFrameName ,
-                                                                                                                                sal_Int32                                                nSearchFlags     ) throw( css::uno::RuntimeException, std::exception          ) override;
+                                                                                                                          const OUString&                                         sRecipientFrameName ,
+                                                                                                                                sal_Int32                                                nSearchOptions     ) throw( css::uno::RuntimeException, std::exception          ) override;
         virtual css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > >  SAL_CALL queryDispatches            ( const css::uno::Sequence< css::frame::DispatchDescriptor >&    lQueries         ) throw( css::uno::RuntimeException, std::exception          ) override;
 
         // XDispatchProviderInterception
@@ -246,8 +246,8 @@ class Desktop : private cppu::BaseMutex,
 
         //   XFrame
         //  Attention: findFrame() is implemented only! Other methods make no sense for our desktop!
-        virtual css::uno::Reference< css::frame::XFrame >                           SAL_CALL findFrame                  ( const OUString&                                         sTargetFrameName ,
-                                                                                                                                sal_Int32                                                nSearchFlags     ) throw( css::uno::RuntimeException, std::exception          ) override;
+        virtual css::uno::Reference< css::frame::XFrame >                           SAL_CALL findFrame                  ( const OUString&                                         sRecipientFrameName ,
+                                                                                                                                sal_Int32                                                nSearchOptions     ) throw( css::uno::RuntimeException, std::exception          ) override;
         virtual void                                                                SAL_CALL initialize                 ( const css::uno::Reference< css::awt::XWindow >&                xWindow          ) throw( css::uno::RuntimeException, std::exception          ) override;
         virtual css::uno::Reference< css::awt::XWindow >                            SAL_CALL getContainerWindow         (                                                                                 ) throw( css::uno::RuntimeException, std::exception          ) override;
         virtual void                                                                SAL_CALL setCreator                 ( const css::uno::Reference< css::frame::XFramesSupplier >&      xCreator         ) throw( css::uno::RuntimeException, std::exception          ) override;
@@ -408,7 +408,7 @@ class Desktop : private cppu::BaseMutex,
         css::uno::Reference< css::frame::XFrames >                      m_xFramesHelper;          /// helper for XFrames, XIndexAccess, XElementAccess and implementation of a childcontainer!
         css::uno::Reference< css::frame::XDispatchProvider >            m_xDispatchHelper;        /// helper to dispatch something for new tasks, created by "_blank"!
         ELoadState                                                      m_eLoadState;             /// hold information about state of asynchron loading of component for loadComponentFromURL()!
-        css::uno::Reference< css::frame::XFrame >                       m_xLastFrame;             /// last target of "loadComponentFromURL()"!
+        css::uno::Reference< css::frame::XFrame >                       m_xLastFrame;             /// last frame of loadComponentFromURL()
         css::uno::Any                                                   m_aInteractionRequest;
         bool                                                            m_bSuspendQuickstartVeto; /// don't ask quickstart for a veto
         std::unique_ptr<SvtCommandOptions>                              m_xCommandOptions;        /// ref counted class to support disabling commands defined by configuration file
diff --git a/framework/inc/services/mediatypedetectionhelper.hxx b/framework/inc/services/mediatypedetectionhelper.hxx
index 7c5af80..95f02a5 100644
--- a/framework/inc/services/mediatypedetectionhelper.hxx
+++ b/framework/inc/services/mediatypedetectionhelper.hxx
@@ -33,7 +33,7 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @implements     XInterface
                     XTypeProvider
                     XServiceInfo
@@ -41,29 +41,27 @@ namespace framework{
     @base           OWeakObject
 
     @devstatus      deprecated
-*//*-*************************************************************************************************************/
+*/
 
 class MediaTypeDetectionHelper  :   public ::cppu::WeakImplHelper< css::util::XStringMapping, css::lang::XServiceInfo>
 {
 
-    //  public methods
-
     public:
 
         //  constructor / destructor
 
-        /*-****************************************************************************************************
+        /*
             @short      standard ctor
             @descr      These initialize a new instance of this class with all needed information for work.
             @param      "xFactory", reference to factory which has created our owner(!). We can use these to create new uno-services.
-        *//*-*****************************************************************************************************/
+        */
 
          MediaTypeDetectionHelper( const css::uno::Reference< css::lang::XMultiServiceFactory >& xFactory );
 
-        /*-****************************************************************************************************
+        /*
             @short      standard destructor
             @descr      This method destruct an instance of this class and clear some member.
-        *//*-*****************************************************************************************************/
+        */
 
         virtual ~MediaTypeDetectionHelper() override;
 
@@ -73,9 +71,6 @@ class MediaTypeDetectionHelper  :   public ::cppu::WeakImplHelper< css::util::XS
 
         //  XStringMapping
 
-        /*-****************************************************************************************************
-        *//*-*****************************************************************************************************/
-
         virtual sal_Bool SAL_CALL mapStrings(css::uno::Sequence< OUString >& seqParameter)
             throw (css::uno::RuntimeException, std::exception) override;
 
diff --git a/framework/inc/threadhelp/gate.hxx b/framework/inc/threadhelp/gate.hxx
index 0c04660..7ff4489 100644
--- a/framework/inc/threadhelp/gate.hxx
+++ b/framework/inc/threadhelp/gate.hxx
@@ -26,16 +26,14 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short          implement a gate to block multiple threads at same time or unblock all
     @descr          A gate can be used as a negative-condition! You can open a "door" - wait() will not block ...
                     or you can close it - wait() blocks till open() is called again.
                     Then all currently waiting threads are running immediately - but new ones are blocked!
 
     @attention      To prevent us against wrong using, the default ctor, copy ctor and the =operator are marked private!
-
-    @devstatus      ready to use
-*//*-*************************************************************************************************************/
+*/
 class Gate
 {
 
@@ -43,43 +41,45 @@ class Gate
 
     public:
 
-        /*-****************************************************************************************************
+        /*
             @short      ctor
             @descr      These initialize the object right as an open gate.
-        *//*-*****************************************************************************************************/
+        */
         inline Gate()
             :   m_bClosed   ( false )
         {
             open();
         }
 
-        /*-****************************************************************************************************
+        /*
             @short      dtor
             @descr      Is user forget it - we open the gate ...
                         blocked threads can running ... but I don't know
                         if it's right - we are destroyed yet!?
-        *//*-*****************************************************************************************************/
+        */
         inline ~Gate()
         {
             open();
         }
-        /*-****************************************************************************************************
+
+        /*
             @short      copy-ctor
             @descr      Forbid copy construction
-        *//*-*****************************************************************************************************/
+        */
         Gate(const Gate&) = delete;
-        /*-****************************************************************************************************
+
+        /*
             @short      copy-assignment
             @descr      Forbid copy assiging
-        *//*-*****************************************************************************************************/
+        */
         Gate& operator=(const Gate&) = delete;
 
-        /*-****************************************************************************************************
+        /*
             @short      open the gate
             @descr      A wait() call will not block then.
 
             @seealso    method close()
-        *//*-*****************************************************************************************************/
+        */
         void open()
         {
             // We must safe access to our internal member!
@@ -91,12 +91,12 @@ class Gate
             m_bClosed = !m_aPassage.check();
         }
 
-        /*-****************************************************************************************************
+        /*
             @short      close the gate
             @descr      A wait() call will block then.
 
             @seealso    method open()
-        *//*-*****************************************************************************************************/
+        */
         void close()
         {
             // We must safe access to our internal member!
@@ -108,7 +108,7 @@ class Gate
             m_bClosed = !m_aPassage.check();
         }
 
-        /*-****************************************************************************************************
+        /*
             @short      must be called to pass the gate
             @descr      If gate "open"   => wait() will not block.
                         If gate "closed" => wait() will block till somewhere open it again.
@@ -116,7 +116,7 @@ class Gate
             @seealso    method wait()
             @seealso    method open()
 
-        *//*-*****************************************************************************************************/
+        */
         void wait()
         {
             // We must safe access to our internal member!
diff --git a/framework/inc/threadhelp/transactionbase.hxx b/framework/inc/threadhelp/transactionbase.hxx
index ada6202..426107f 100644
--- a/framework/inc/threadhelp/transactionbase.hxx
+++ b/framework/inc/threadhelp/transactionbase.hxx
@@ -24,19 +24,17 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short          make it possible to instanciate a transacion manager as first member!
     @descr          If you use a transaction manager as a member of your class and wish to use it earlier then other ones
                     you should have a look on this implementation. You must use it as the first base class
                     of your implementation - because base classes are initialized by his order and before your
                     member! Thats why ist a good place to declare this member.
     @devstatus      ready to use
-*//*-*************************************************************************************************************/
+*/
 struct TransactionBase
 {
 
-    //  public member
-
     public:
 
         mutable TransactionManager    m_aTransactionManager;   /// "your" public manager-member!
diff --git a/framework/inc/threadhelp/transactionmanager.hxx b/framework/inc/threadhelp/transactionmanager.hxx
index a4a6e9d..c46bfc8 100644
--- a/framework/inc/threadhelp/transactionmanager.hxx
+++ b/framework/inc/threadhelp/transactionmanager.hxx
@@ -31,7 +31,7 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @descr          Describe different states of a feature of following implementation.
                     During lifetime of an object different working states occur:
                         initialization - working - closing - closed
@@ -40,7 +40,7 @@ namespace framework{
                     call an interface method (initialize phase means startup time from creating object till
                     calling specified first method e.g. XInitialization::initialze()!) then you should refuse
                     this call. The same for closing/disposing the object!
-*//*-*************************************************************************************************************/
+*/
 enum EWorkingMode
 {
     E_INIT       ,   // We stand in a init method   -> some calls are accepted - some one are rejected
@@ -49,7 +49,7 @@ enum EWorkingMode
     E_CLOSE          // Object is dead!             -> all calls are rejected!
 };
 
-/*-************************************************************************************************************
+/*
     @descr          A transaction object should support throwing exceptions if user used it at wrong working mode.
                     e.g. We can throw a DisposedException if user try to work and our mode is E_CLOSE!
                     But sometimes he doesn't need this feature - will handle it by himself.
@@ -78,14 +78,14 @@ enum EWorkingMode
                                                 Normally (if E_HARDEXCEPTIONS was used!) creation of guard
                                                 will throw an exception ... but using of E_SOFTEXCEPTIONS suppress it
                                                 and member "A" can be set.
-*//*-*************************************************************************************************************/
+*/
 enum EExceptionMode
 {
     E_HARDEXCEPTIONS,
     E_SOFTEXCEPTIONS
 };
 
-/*-************************************************************************************************************
+/*
     @short          implement a transaction manager to support non breakable interface methods
     @descr          Use it to support non breakable interface methods without using any thread
                     synchronization like e.g. mutex, rw-lock!
@@ -94,7 +94,7 @@ enum EExceptionMode
                     and react for it. You can enable automatically throwing of exceptions too.
 
     @devstatus      draft
-*//*-*************************************************************************************************************/
+*/
 class FWI_DLLPUBLIC TransactionManager
 {
 
diff --git a/framework/inc/uiconfiguration/imagemanager.hxx b/framework/inc/uiconfiguration/imagemanager.hxx
index 812a69d..6d47677 100644
--- a/framework/inc/uiconfiguration/imagemanager.hxx
+++ b/framework/inc/uiconfiguration/imagemanager.hxx
@@ -87,11 +87,11 @@ namespace framework
                        css::uno::RuntimeException,
                        std::exception) override;
             virtual css::uno::Sequence< OUString > SAL_CALL getAllImageNames( ::sal_Int16 nImageType ) throw (css::uno::RuntimeException, std::exception) override;
-            virtual sal_Bool SAL_CALL hasImage( ::sal_Int16 nImageType, const OUString& aCommandURL ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception) override;
-            virtual css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > > SAL_CALL getImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception) override;
-            virtual void SAL_CALL replaceImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicsSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
+            virtual sal_Bool SAL_CALL hasImage( ::sal_Int16 nImageType, const OUString& aActionURL ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception) override;
+            virtual css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > > SAL_CALL getImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception) override;
+            virtual void SAL_CALL replaceImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicsSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
             virtual void SAL_CALL removeImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aResourceURLSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
-            virtual void SAL_CALL insertImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicSequence ) throw (css::container::ElementExistException, css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
+            virtual void SAL_CALL insertImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicSequence ) throw (css::container::ElementExistException, css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
 
             // XUIConfiguration
             virtual void SAL_CALL addConfigurationListener( const css::uno::Reference< css::ui::XUIConfigurationListener >& Listener ) throw (css::uno::RuntimeException, std::exception) override;
diff --git a/framework/inc/uiconfiguration/moduleimagemanager.hxx b/framework/inc/uiconfiguration/moduleimagemanager.hxx
index a5ddc37..0258ad8 100644
--- a/framework/inc/uiconfiguration/moduleimagemanager.hxx
+++ b/framework/inc/uiconfiguration/moduleimagemanager.hxx
@@ -72,11 +72,11 @@ namespace framework
                        css::uno::RuntimeException,
                        std::exception) override;
             virtual css::uno::Sequence< OUString > SAL_CALL getAllImageNames( ::sal_Int16 nImageType ) throw (css::uno::RuntimeException, std::exception) override;
-            virtual sal_Bool SAL_CALL hasImage( ::sal_Int16 nImageType, const OUString& aCommandURL ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception) override;
-            virtual css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > > SAL_CALL getImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception) override;
-            virtual void SAL_CALL replaceImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicsSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
+            virtual sal_Bool SAL_CALL hasImage( ::sal_Int16 nImageType, const OUString& aActionURL ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception) override;
+            virtual css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > > SAL_CALL getImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception) override;
+            virtual void SAL_CALL replaceImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicsSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
             virtual void SAL_CALL removeImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aResourceURLSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
-            virtual void SAL_CALL insertImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicSequence ) throw (css::container::ElementExistException, css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
+            virtual void SAL_CALL insertImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicSequence ) throw (css::container::ElementExistException, css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception) override;
 
             // XUIConfiguration
             virtual void SAL_CALL addConfigurationListener( const css::uno::Reference< css::ui::XUIConfigurationListener >& Listener ) throw (css::uno::RuntimeException, std::exception) override;
diff --git a/framework/inc/uielement/buttontoolbarcontroller.hxx b/framework/inc/uielement/buttontoolbarcontroller.hxx
index 570ffe4..b980501 100644
--- a/framework/inc/uielement/buttontoolbarcontroller.hxx
+++ b/framework/inc/uielement/buttontoolbarcontroller.hxx
@@ -87,7 +87,7 @@ class ButtonToolbarController : public css::frame::XStatusListener,
     private:
         bool                                                   m_bInitialized : 1,
                                                                m_bDisposed : 1;
-        OUString                                               m_aCommandURL;
+        OUString                                               m_aActionURL;
         css::uno::Reference< css::frame::XFrame >              m_xFrame;
         css::uno::Reference< css::uno::XComponentContext >     m_xContext;
         css::uno::Reference< css::util::XURLTransformer >      m_xURLTransformer;
diff --git a/framework/inc/uielement/complextoolbarcontroller.hxx b/framework/inc/uielement/complextoolbarcontroller.hxx
index e9d90d7..ed6b919 100644
--- a/framework/inc/uielement/complextoolbarcontroller.hxx
+++ b/framework/inc/uielement/complextoolbarcontroller.hxx
@@ -59,10 +59,10 @@ class ComplexToolbarController : public svt::ToolboxController
         DECL_STATIC_LINK( ComplexToolbarController, ExecuteHdl_Impl, void*, void );
         DECL_STATIC_LINK( ComplexToolbarController, Notify_Impl, void*, void);
 
-        struct ExecuteInfo
+        struct GoInfo
         {
             css::uno::Reference< css::frame::XDispatch >     xDispatch;
-            css::util::URL                                   aTargetURL;
+            css::util::URL                                   aRecipientURL;
             css::uno::Sequence< css::beans::PropertyValue >  aArgs;
         };
 
diff --git a/framework/inc/uielement/generictoolbarcontroller.hxx b/framework/inc/uielement/generictoolbarcontroller.hxx
index 96a8f9e..b7a6f8f 100644
--- a/framework/inc/uielement/generictoolbarcontroller.hxx
+++ b/framework/inc/uielement/generictoolbarcontroller.hxx
@@ -52,10 +52,10 @@ class GenericToolbarController : public svt::ToolboxController
 
         DECL_STATIC_LINK( GenericToolbarController, ExecuteHdl_Impl, void*, void );
 
-        struct ExecuteInfo
+        struct GoInfo
         {
             css::uno::Reference< css::frame::XDispatch >     xDispatch;
-            css::util::URL                                   aTargetURL;
+            css::util::URL                                   aRecipientURL;
             css::uno::Sequence< css::beans::PropertyValue >  aArgs;
         };
 
